org.gjt.sp.jedit.gui.statusbar

## Class ErrorsWidgetFactory

- java.lang.Object
- - org.gjt.sp.jedit.gui.statusbar.ErrorsWidgetFactory

- All Implemented Interfaces:
    StatusWidgetFactory

      public class ErrorsWidgetFactory
      extends java.lang.Object
      implements StatusWidgetFactory

  This widget will show you in the status bar the last errors reported in jEdit.
  Since:
    jEdit 4.3pre15

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ErrorsWidgetFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Widget` | `getWidget(View view)` returns an instance of Widget for the given view

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ErrorsWidgetFactory

          public ErrorsWidgetFactory()

  - ### Method Detail

    - #### getWidget

          public Widget getWidget(View view)

      Description copied from interface: `StatusWidgetFactory`
      returns an instance of Widget for the given view
      Specified by:
        `getWidget` in interface `StatusWidgetFactory`
      Parameters:
        `view` - the view to which the created widget will belong
      Returns:
        a widget instance